# Constant Field Values

## uk.ac.*

uk.ac.starlink.auth.AuthUtil
Modifier and Type
Constant Field
Value
`public static final String`
`AUTH_HEADER`
`"Authorization"`
`public static final String`
`AUTHID_HEADER`
`"X-VO-Authenticated"`
`public static final String`
`CHALLENGE_HEADER`
`"WWW-Authenticate"`
`public static final String`
`LOGSECRETS_PROP`
`"auth.logsecrets"`
`public static final String`
`SCHEMES_PROP`
`"auth.schemes"`
uk.ac.starlink.auth.BearerIvoaAuthScheme
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEME_NAME`
`"ivoa_bearer"`
`public static final String`
`TOKEN_HEADER`
`"X-VO-Bearer"`
uk.ac.starlink.auth.CookieIvoaAuthScheme
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEME_NAME`
`"ivoa_cookie"`
uk.ac.starlink.auth.IvoaAuthScheme
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESSURL_PARAM`
`"access_url"`
`public static final String`
`STANDARDID_PARAM`
`"standard_id"`
uk.ac.starlink.auth.IvoaLoginProtocol
Modifier and Type
Constant Field
Value
`public static final String`
`SSO_URL`
`"ivo://ivoa.net/sso"`
uk.ac.starlink.auth.UserInterface
Modifier and Type
Constant Field
Value
`public static final String`
`PASSWORD_PROP`
`"auth.password"`
`public static final String`
`USERNAME_PROP`
`"auth.username"`
uk.ac.starlink.auth.X509IvoaAuthScheme
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEME_NAME`
`"ivoa_x509"`

uk.ac.starlink.auth.ssl.X509CertificateChain
Modifier and Type
Constant Field
Value
`public static final String`
`CERT_BEGIN`
`"-----BEGIN CERTIFICATE-----"`
`public static final String`
`CERT_END`
`"-----END CERTIFICATE-----"`
`public static final String`
`PRIVATE_KEY_BEGIN`
`"-----BEGIN RSA PRIVATE KEY-----"`
`public static final String`
`PRIVATE_KEY_END`
`"-----END RSA PRIVATE KEY-----"`